<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>management</artifactId>
        <groupId>ru.entaxy.esb.system</groupId>
        <version>1.8.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <groupId>ru.entaxy.esb.system.management.route.manager</groupId>
    <artifactId>route-manager</artifactId>
    <packaging>bundle</packaging>

    <name>SYSTEM :: ENTAXY :: ROUTE :: MANAGEMENT</name>
    <description>SYSTEM :: ENTAXY :: ROUTE :: MANAGEMENT</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.system.management.route.manager
        </bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>
            !com.sun.org.apache.xml.internal.dtm.ref,
            !org.mapstruct.*,
            javax.jws.*;version="[2.0.0,3.0.0)",
            javax.jws.soap.*;version="[2.0.0,3.0.0)",
            javax.xml.ws.*;version="[2.2.0,3.0.0)",
            org.apache.commons.logging,
            org.osgi.service.blueprint;version="[1.0.0,2.0.0)",
            javax.xml.bind;version="[2,3)",
            javax.xml.bind.annotation;version="[2,3)",
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>

        <dependency>
            <groupId>ru.entaxy.esb.system.registry.profile.commons</groupId>
            <artifactId>profile-commons</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.management.bundle.jpa</groupId>
            <artifactId>bundle-service</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.management.bundle.manager</groupId>
            <artifactId>bundle-manager</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>
</project>